{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list tags_cursos %}
{% load url from future %}
{% load admin_urls %}

{% block extrastyle %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    <script type="text/javascript" src="{% static 'admin/js/core.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/admin/RelatedObjectLookups.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.init.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/actions.min.js' %}"></script>


    {{ media.css }}
{% endblock %}

{% block extrahead %}
    {{ block.super }}
    {{ media.js }}
    <script type="text/javascript">
        (function ($) {
            $(document).ready(function ($) {
                $("tr input.action-select").actions();
            });
        })(django.jQuery);
    </script>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        {% trans "Ver Grupos Horarios" %}
    </div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
    <h2>Grupos Horarios</h2>
    <div id="content-main">
        {% block object-tools %}
            {% if perms.Cursos.add_periodocurso or perms.Cursos.change_periodocurso %}
                <ul class="object-tools">
                    <li>
                        <a href="configurar/" class="addlink">
                            {% trans 'Configurar Cursos por Período' %}
                        </a>
                    </li>
                </ul>
            {% endif %}
        {% endblock %}
        <div class="module filtered" id="changelist">

            <div id="toolbar">
                <form id="changelist-search" action="" method="get">{% csrf_token %}
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="c" value="{{ query1|escape }}"/>
                        {% endif %}
                        {% if query2 %}
                            <input type="hidden" name="p" value="{{ query2|escape }}"/>
                        {% endif %}
                        {% if query3 %}
                            <input type="hidden" name="n" value="{{ query3|escape }}"/>
                        {% endif %}
                        <input type="submit" value="{% trans 'Search' %}"/>
                        <span class="small quiet">{{ n_grupos }} Grupos Horarios UDL</span>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>


            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>
                    <h3> {% trans 'Autoevaluacion docente' %}</h3>
                    <ul>
                        <li {% if not query %}{% if not query4 %}class="selected"{% endif %}{% endif %}><a
                                href="?">Todos/as</a>
                        </li>
                        <li {% ifequal query4 1|escape %} class="selected" {% endifequal %}>
                            <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}n={{ query3 }}&{% endif %}e={{ 1 }}">
                                Si</a>
                        </li>
                        <li {% ifequal query4 0|escape %} class="selected" {% endifequal %}>
                            <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}n={{ query3 }}&{% endif %}e={{ 0 }}">
                                No</a>
                        </li>
                    </ul>
                    <h3> {% trans 'Por Semestres' %}</h3>
                    <ul>
                        <li {% if not query %}{% if not query2 %}class="selected"{% endif %}{% endif %}><a
                                href="?">Todos/as</a>
                        </li>

                        {% for periodo in periodos %}
                            <li {% ifequal query2 periodo.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query3 %}n={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}p={{ periodo.id }}">{{ periodo }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Carreras' %}</h3>

                    <ul>
                        <li {% if not query %}{% if not query1 %}class="selected"{% endif %}{% endif %}><a
                                href="?">Todos/as</a>
                        </li>

                        {% for carrera in carreras %}
                            <li {% ifequal query1 carrera.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}n={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}c={{ carrera.id }}">{{ carrera.Carrera }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Ciclos' %}</h3>

                    <ul>
                        <li {% if not query %}{% if not query3 %}class="selected"{% endif %}{% endif %}><a
                                href="?">Todos/as</a>
                        </li>

                        {% for ciclo in ciclos %}
                            <li {% ifequal query3 ciclo|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}n={{ ciclo }}">{{ ciclo }}º
                                    Ciclo</a></li>
                        {% endfor %}
                    </ul>

                </div>
            {% endblock %}
            <form method="POST" action="">{% csrf_token %}
                <div class="actions">
                    <label>Acción:</label>
                    <select name="action">
                        <OPTION selected="selected" value="">---------</OPTION>
                        <OPTION value="print_actas_selected">Imprimir Actas de Grupo Horario</OPTION>
                        <OPTION value="print_matriculados_grupo_excel">Listado de matriculados en Grupo Horario</OPTION>
                        <OPTION value="print_notas_grupo_excel">Reporte de Notas por grupo horario</OPTION>
                        <OPTION value="print_resultado_encuesta_excel">Reporte resultado de encuesta</OPTION>
                        <OPTION value="print_reporte_horarios_x_grupo_excel">Reporte de Horarios por Grupos en Excel
                        </OPTION>
                        <OPTION value="enabled_formulas">Habilitar creación de fórmulas de calificación</OPTION>
                        <OPTION value="disabled_formulas">Deshabilitar creación de fórmulas de calificación</OPTION>
                        <OPTION value="enabled_notas">Habilitar edición de calificaciones</OPTION>
                        <OPTION value="disabled_notas">Deshabilitar edición de calificaciones</OPTION>
                        <OPTION value="enabled_aplazados">Habilitar edición de aplazados</OPTION>
                        <OPTION value="disabled_aplazados">Deshabilitar edición de aplazados</OPTION>
                        <OPTION value="enabled_asistencias">Habilitar edición de asistencias</OPTION>
                        <OPTION value="disabled_asistencias">Deshabilitar edición de asistencias</OPTION>
                    </select>
                    <input class="select-across" type="hidden" name="select_across" value="0">
                    <button class="button" name="index" title="Ejecutar la acción seleccionada" type="SUBMIT">Ejecutar
                    </button>
                    <script type="text/javascript">
                        var _actions_icnt = "100";
                    </script>
                    <span class="action-counter" style="display: inline;">{{ n_grupos }} Grupo(s) Horario UDL</span>
                    <span class="all" style="display: none;">{{ n_grupos }} Grupo(s) Horario UDL seleccionados</span>
                    <span class="question" style="display: none;"><a
                            title="Pulse aquí para seleccionar los objetos a través de todas las páginas"
                            href="javascript:;">Seleccionar todos los {{ n_grupos }} Grupo(s) Horario UDL</a></span>
                    <span class="clear" style="display: none;"><a href="javascript:;">Limpiar selección</a></span>
                </div>

                {% block result_list %}
                    {% if query %}
                        <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                    {% endif %}
                    {% if results %}
                        <div class="results">
                            <table id='result_list'>
                                <THEAD>
                                <TR>
                                    <TH scope='col' class='action-checkbox-column'>
                                        <div class="text"><span><input type="checkbox" id="action-toggle"
                                                                       style="display: inline;"></span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Grupo' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Código' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Curso' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Ciclo' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Carrera' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Semestre' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Docente' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Comentario' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Edit Fórmula' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Edit Notas' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Edit Aplaz.' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Edit Asist.' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Silabo' %}</span></div>
                                    </TH>
                                </TR>
                                </THEAD>
                                <TBODY>
                                {% for grupo in results.object_list %}
                                    <TR class="{% cycle 'row1' 'row2' %}">
                                        <TD><input type="checkbox" name="_selected_action" value="{{ grupo.id }}"
                                                   class="action-select"></TD>
                                        <TD><a href="{{ grupo.id }}/">{{ grupo.Grupo|escape }}</a></TD>
                                        <TD>{{ grupo.Curso.Codigo|escape }}</TD>
                                        <TD>{{ grupo.Curso.Nombre|escape }} </TD>
                                        <TD>{{ grupo.Curso.Ciclo|escape }}º Ciclo</TD>
                                        <TD>{{ grupo.Curso.Carrera.Carrera|escape }}</TD>
                                        <TD>{{ grupo.Periodo|escape }}</TD>
                                        <TD>{{ grupo.Docente|escape }}</TD>
                                        <TD>{{ grupo.Observaciones|escape }}</TD>
                                        <TD>{% if grupo.EditarFormula %}
                                            <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                        {% else %}
                                            <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                        {% endif %}
                                        </TD>
                                        <TD>{% if grupo.EditarNotas %}
                                            <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                        {% else %}
                                            <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                        {% endif %}
                                        </TD>
                                        <TD>{% if grupo.EditarAplazados %}
                                            <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                        {% else %}
                                            <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                        {% endif %}
                                        </TD>
                                        <TD>{% if grupo.EditarAsistencias %}
                                            <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                        {% else %}
                                            <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                        {% endif %}
                                        </TD>
                                        <TD>
                                            {% if grupo.silabocurso_set.all %}
                                                <a href="/docente/profile/ver_silabo/{{ grupo.id }}/descargar/">Si</a>
                                            {% elif grupo.silabomaterial == "SI" %}
                                                {% for material in grupo.materialcurso_set.all %}
                                                    {% if material.Issilabo %}
                                                        <a href="{% static 'uploads/' %}{{ material.Archivo.name }}">Si</a>
                                                    {% endif %}
                                                {% endfor %}
                                            {% else %}
                                                No
                                            {% endif %}
                                        </TD>
                                    </TR>
                                {% endfor %}
                                </TBODY>
                            </table>
                        </div>
                    {% else %}
                        <p>{% trans 'No se encontraron coincidencias' %}</p>
                    {% endif %}
                {% endblock %}
                {% block pagination %}
                    {% render_paginator 2 3 %}
                {% endblock %}
            </form>
        </div>
    </div>
{% endblock %}
